//-----------------------------------------------------------------------------
/// Modulename : BinarizeApp.cpp @file
///
/// Interface  : BinarizeApp.h
///
///              Implementation of class CBinarizeApp.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status     : Draft
///
/// Security   : -
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------
#include "stdafx.h"

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------
#include "BinarizeApp.h"
#include "BinarizeDlg.h"

//-----------------------------------------------------------------------------
// Private definitions, -macros and -constants
//-----------------------------------------------------------------------------
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//-----------------------------------------------------------------------------
// Private data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// External references
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Module global variables
//-----------------------------------------------------------------------------
CBinarizeApp theApp; // The one and only CBinarizeApp object

//-----------------------------------------------------------------------------
// Prototype of the private functions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Implementation
//-----------------------------------------------------------------------------
BEGIN_MESSAGE_MAP(CBinarizeApp, CWinApp)
   //{{AFX_MSG_MAP(CBinarizeApp)
   //}}AFX_MSG
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

//-----------------------------------------------------------------------------
/// This function is needed for the parameter parsing in InitInstance.
///
/// @param p1 [IN] String for search
/// @param p2 [IN] Characters to search for in p1
///
/// @return String after the first found character or NULL
///
/// Bemerkungen  : -
///
/// Sicherheit   : -
///
/// Status       : Entwurf
///
/// nderungshistorie - Version 1.0
///
/// 15.09.03 - Entwurf => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
LPCTSTR FindOneOf(LPCTSTR p1, LPCTSTR p2)
{
   while (*p1 != NULL)
   {
      LPCTSTR p = p2;
      while (*p != NULL)
      {
         if (*p1 == *p++)
            return p1+1;
      }
      p1++;
   }
   return NULL;
}

//-----------------------------------------------------------------------------
/// Constructor
///
/// Remarks  : -
///
/// Security : -
///
/// Status   : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
CBinarizeApp::CBinarizeApp()
{
}

//-----------------------------------------------------------------------------
/// App initialization
///
/// @return MFC standard
///
/// Remarks  : -
///
/// Security : -
///
/// Status   : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
BOOL CBinarizeApp::InitInstance()
{
   // Initialize OLE libraries
   if (!AfxOleInit())
   {
      AfxMessageBox(IDP_OLE_INIT_FAILED, MB_ICONSTOP | MB_OK );
      return FALSE;
   }

#ifdef _AFXDLL
   Enable3dControls();        // Call this when using MFC in a shared DLL
#else
   Enable3dControlsStatic();  // Call this when linking to MFC statically
#endif

   // Parse command line for standard shell commands, DDE, file open
   CCommandLineInfo cmdInfo;
   ParseCommandLine(cmdInfo);

   if (cmdInfo.m_bRunEmbedded || cmdInfo.m_bRunAutomated)
   {
      COleTemplateServer::RegisterAll();
      return TRUE;
   }
   else
   {
      COleObjectFactory::UpdateRegistryAll();
   }

   TCHAR szTokens[] = _T("-/");
   LPCTSTR lpszToken = FindOneOf(m_lpCmdLine, szTokens);
   while (lpszToken != NULL)
   {
      if (lstrcmpi(lpszToken, _T("UnregServer"))==0)
      {
         COleObjectFactory::UpdateRegistryAll( FALSE );  // This unregisters all other COM objects derived from CcmdTarget.
         return FALSE;
      }
      if (lstrcmpi(lpszToken, _T("RegServer"))==0)
      {
         if (COleObjectFactory::UpdateRegistryAll( TRUE ))
            OutputDebugString( _T("Successfully registered server.\n") );
         else
            OutputDebugString( _T("   Warning: Server registration failed.\n") );
         return FALSE;
      }
      lpszToken = FindOneOf(lpszToken, szTokens);
   }

   return TRUE;
}
