//-----------------------------------------------------------------------------
/// Headername  : lcid.h @file
///
///               Definition of Locale IDs.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status      : Released
///
/// Revision history - Version 1.0
///
/// - 16.01.03 - Draft => V.1.0 (MCI, Fa. MGW)
/// - 18.01.03 - Review + Release V.1.0 (JueZi)
//-----------------------------------------------------------------------------
#ifndef __LCID_H
#define __LCID_H

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Definitions, macros und constants
//-----------------------------------------------------------------------------
#if _MSC_VER > 1000 // VC++ Version > 4.0
#pragma once // open only once during build
#endif // _MSC_VER > 1000

#define LANGUAGE_GERMAN                MAKELCID( MAKELANGID( LANG_GERMAN,     SUBLANG_GERMAN ), SORT_DEFAULT )
#define LANGUAGE_ENGLISH_US            MAKELCID( MAKELANGID( LANG_ENGLISH,    SUBLANG_ENGLISH_US ), SORT_DEFAULT )
#define LANGUAGE_ENGLISH_GB            MAKELCID( MAKELANGID( LANG_ENGLISH,    SUBLANG_ENGLISH_UK ), SORT_DEFAULT )
#define LANGUAGE_FRENCH                MAKELCID( MAKELANGID( LANG_FRENCH,     SUBLANG_FRENCH ), SORT_DEFAULT )
#define LANGUAGE_FRENCH_BELGIAN        MAKELCID( MAKELANGID( LANG_FRENCH,     SUBLANG_FRENCH_BELGIAN ), SORT_DEFAULT )
#define LANGUAGE_SPANISH               MAKELCID( MAKELANGID( LANG_SPANISH,    SUBLANG_SPANISH ), SORT_DEFAULT )
#define LANGUAGE_ITALIAN               MAKELCID( MAKELANGID( LANG_ITALIAN,    SUBLANG_ITALIAN ), SORT_DEFAULT )
#define LANGUAGE_DUTCH                 MAKELCID( MAKELANGID( LANG_DUTCH,      SUBLANG_DUTCH ), SORT_DEFAULT )
#define LANGUAGE_DUTCH_BELGIAN         MAKELCID( MAKELANGID( LANG_DUTCH,      SUBLANG_DUTCH_BELGIAN ), SORT_DEFAULT )
#define LANGUAGE_RUSSIAN               MAKELCID( MAKELANGID( LANG_RUSSIAN,    SUBLANG_DEFAULT ), SORT_DEFAULT )
#define LANGUAGE_JAPANESE              MAKELCID( MAKELANGID( LANG_JAPANESE,   SUBLANG_DEFAULT ), SORT_DEFAULT )
#define LANGUAGE_KOREAN                MAKELCID( MAKELANGID( LANG_KOREAN,     SUBLANG_KOREAN ), SORT_KOREAN_KSC )
#define LANGUAGE_ARABIC_SAUDIARABIA    MAKELCID( MAKELANGID( LANG_ARABIC,     SUBLANG_ARABIC_SAUDI_ARABIA ), SORT_DEFAULT )

//-----------------------------------------------------------------------------
// Data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the public functions
//-----------------------------------------------------------------------------

#endif //__LCID_H
