//-----------------------------------------------------------------------------
/// Headername  : Binarize.h @file
///
///               Interface of class CBinarize.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status      : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
#ifndef BINARIZE_H__
#define BINARIZE_H__

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------
#include "resource.h"
#include "customimage.h"

//-----------------------------------------------------------------------------
// Definitions, macros und constants
//-----------------------------------------------------------------------------
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//-----------------------------------------------------------------------------
// Data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the public functions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/// Classname  : CBinarize : public CCmdTarget
///
/// The plugin class
//-----------------------------------------------------------------------------
class CBinarize : public CCmdTarget
{
   //---------------------------------------------------------------------------
   // Member functions
   //---------------------------------------------------------------------------
protected:
   DECLARE_DYNCREATE(CBinarize)
            CBinarize();
   virtual ~CBinarize();

public:
   //{{AFX_VIRTUAL(CBinarize)
   public:
   virtual void OnFinalRelease();
   //}}AFX_VIRTUAL

protected:
   LPDISPATCH GetApplication();
   BOOL       GetApplicationVersion( CString& strVersion, int& nVersionMajor, int& nVersionMinor );

   //{{AFX_MSG(CBinarize)
      // NOTE - the ClassWizard will add and remove member functions here.
   //}}AFX_MSG

   DECLARE_MESSAGE_MAP()
   DECLARE_OLECREATE_EX(CBinarize)

   //{{AFX_DISPATCH(CBinarize)
   afx_msg BSTR GetLastParameters();
   afx_msg void SetLastParameters(LPCTSTR lpszNewValue);
   afx_msg BSTR GetVendor();
   afx_msg BSTR GetDescription();
   afx_msg BSTR GetVersion();
   afx_msg BSTR GetCategory();
   afx_msg BSTR GetMenuEntry();
   afx_msg BSTR GetMessageString();
   afx_msg BSTR GetTooltipText();
   afx_msg BSTR GetFriendlyName();
   afx_msg BSTR GetBitmapResourceSmall();
   afx_msg BSTR GetBitmapResourceLarge();
   afx_msg BSTR GetKey();
   afx_msg SCODE Run();
   afx_msg BSTR GetReserved();
   //}}AFX_DISPATCH
   DECLARE_DISPATCH_MAP()
   DECLARE_INTERFACE_MAP()

   //---------------------------------------------------------------------------
   // Member variables                                       - Short description
   //---------------------------------------------------------------------------
protected:
   CCustomImage m_theImage;   ///< This class handles the image processing
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // BINARIZE_H__
