//-----------------------------------------------------------------------------
/// Headername  : BinarizeDlg.h @file
///
///               Interface of class CBinarizeDlg.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status      : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
#ifndef __BINARIZEDLG_H
#define __BINARIZEDLG_H

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------
#include "resource.h"

//-----------------------------------------------------------------------------
// Definitions, macros und constants
//-----------------------------------------------------------------------------
#if _MSC_VER > 1000 // VC++ Version > 4.0
#pragma once // open only once during build
#endif // _MSC_VER > 1000

//-----------------------------------------------------------------------------
// Data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the public functions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/// Classname  : CBinarizeDlg : public CDialog
///
/// The dialog for passing binarize parameters
//-----------------------------------------------------------------------------
class CBinarizeDlg : public CDialog
{
   //---------------------------------------------------------------------------
   // Member functions
   //---------------------------------------------------------------------------
public:
   CBinarizeDlg(CWnd* pParent = NULL);

   CString GetThreshold( void )
   { 
      CString strResult;
      strResult.Format( _T("%d"), m_uiThreshold );
      return strResult;
   }

   //{{AFX_VIRTUAL(CBinarizeDlg)
   protected:
   virtual void DoDataExchange(CDataExchange* pDX);
   //}}AFX_VIRTUAL

protected:

   //{{AFX_MSG(CBinarizeDlg)
   virtual BOOL OnInitDialog();
   virtual void OnOK();
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()

   //---------------------------------------------------------------------------
   // Member variables                                       - Short description
   //---------------------------------------------------------------------------
protected:
   //{{AFX_DATA(CBinarizeDlg)
   enum { IDD = IDD_BINARIZE };
   CSpinButtonCtrl   m_spinThreshold;
   UINT  m_uiThreshold;
   //}}AFX_DATA
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif //__BINARIZEDLG_H
