#include "stdafx.h"
#include "About.h"
#include "ObjectModel.h"
#include "MainFrm.h"
#include "ObjectModelDoc.h"
#include "ObjectModelView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CObjectModelApp theApp; // The one and only CObjectModelApp object

BEGIN_MESSAGE_MAP(CObjectModelApp, CWinApp)
   //{{AFX_MSG_MAP(CObjectModelApp)
   ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
   //}}AFX_MSG_MAP
   // Standard file based document commands
   ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
   ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()

LPCTSTR FindOneOf(LPCTSTR p1, LPCTSTR p2)
{
   while (*p1 != NULL)
   {
      LPCTSTR p = p2;
      while (*p != NULL)
      {
         if (*p1 == *p++)
            return p1+1;
      }
      p1++;
   }
   return NULL;
}


CObjectModelApp::CObjectModelApp()
{
}

BOOL CObjectModelApp::InitInstance()
{
   // Initialize OLE libraries
   if (!AfxOleInit())
   {
      AfxMessageBox( IDP_OLE_INIT_FAILED, MB_ICONSTOP | MB_OK );
      return FALSE;
   }

   // Standard initialization

#ifdef _AFXDLL
   Enable3dControls();        // Call this when using MFC in a shared DLL
#else
   Enable3dControlsStatic();  // Call this when linking to MFC statically
#endif

   // Change the registry key under which our settings are stored.
   SetRegistryKey(_T("Local AppWizard-Generated Applications"));

   LoadStdProfileSettings(0);  // Load standard INI file options (including MRU)

   // Register document templates

   CSingleDocTemplate* pDocTemplate;
   pDocTemplate = new CSingleDocTemplate(
      IDR_MAINFRAME,
      RUNTIME_CLASS(CObjectModelDoc),
      RUNTIME_CLASS(CMainFrame),       // main SDI frame window
      RUNTIME_CLASS(CObjectModelView));
   AddDocTemplate(pDocTemplate);

   // Parse command line for standard shell commands, DDE, file open
   CCommandLineInfo cmdInfo;
   ParseCommandLine(cmdInfo);


   if (cmdInfo.m_bRunEmbedded || cmdInfo.m_bRunAutomated)
   {
      COleTemplateServer::RegisterAll();

      // Application was run with /Embedding or /Automation.  Don't show the
      //  main window in this case.
      return TRUE;
   }

   TCHAR szTokens[] = _T("-/");
   LPCTSTR lpszToken = FindOneOf(m_lpCmdLine, szTokens);
   while (lpszToken != NULL)
   {
      if (lstrcmpi(lpszToken, _T("UnregServer"))==0)
      {
         COleObjectFactory::UpdateRegistryAll( FALSE );  // This unregisters all other COM objects derived from CcmdTarget.
         return TRUE;
      }
      if (lstrcmpi(lpszToken, _T("RegServer"))==0)
      {
         if (COleObjectFactory::UpdateRegistryAll( TRUE ))
            OutputDebugString( _T("Successfully registered server.\n") );
         else
            OutputDebugString( _T("   Warning: Server registration failed.\n") );
         return TRUE;
      }
      lpszToken = FindOneOf(lpszToken, szTokens);
   }


   // Dispatch commands specified on the command line
   if (!ProcessShellCommand(cmdInfo))
      return FALSE;
   m_pMainWnd->ShowWindow(SW_SHOW);
   m_pMainWnd->UpdateWindow();

   return TRUE;
}

// App command to run the dialog
void CObjectModelApp::OnAppAbout()
{
   CAboutDlg aboutDlg;
   aboutDlg.DoModal();
}
